std::mutex(3cxx)

NAME
std::mutex

SYNOPSIS

#include <mutex>

Inherits __mutex_base.

  Public Types

typedef __native_type * native_handle_type

  Public Member Functions

mutex (const mutex &)=delete
void lock ()
native_handle_type native_handle () noexcept
mutex & operator= (const mutex &)=delete
bool try_lock () noexcept
void unlock ()

Detailed Description

The standard mutex type.

A simple, non-recursive, non-timed mutex.

Do not call lock() and unlock() directly, use a scoped lock type such as std::unique_lock, std::lock_guard, or (since C++17) std::scoped_lock.

Since
    C++11

Author

Generated automatically by Doxygen for libstdc++ from the source code.